File APIs for Java Developers
Manipulate DOC, XLS, PPT, PDF and many others from your application.
The moose likes Ruby and the fly likes Newbie can't run Ruby in debug, help! Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Languages » Ruby
Bookmark "Newbie can Watch "Newbie can New topic

Newbie can't run Ruby in debug, help!

Jane Jukowsky
Ranch Hand

Joined: Mar 28, 2009
Posts: 157
C:/Ruby191/lib/ruby/gems/1.9.1/gems/ruby-debug-base-0.10.3-x86-mswin32/lib/ruby-debug-base.rb:1:in `require': 126: The specified module could not be found. - C:/Ruby191/lib/ruby/gems/1.9.1/gems/ruby-debug-base-0.10.3-x86-mswin32/lib/ (LoadError)
from C:/Ruby191/lib/ruby/gems/1.9.1/gems/ruby-debug-base-0.10.3-x86-mswin32/lib/ruby-debug-base.rb:1:in `<top (required)>'
from C:/Ruby191/lib/ruby/gems/1.9.1/gems/ruby-debug-ide-0.4.5/lib/ruby-debug.rb:5:in `require'
from C:/Ruby191/lib/ruby/gems/1.9.1/gems/ruby-debug-ide-0.4.5/lib/ruby-debug.rb:5:in `<top (required)>'
from C:/Ruby191/lib/ruby/gems/1.9.1/gems/ruby-debug-ide-0.4.5/bin/rdebug-ide:6:in `require'
from C:/Ruby191/lib/ruby/gems/1.9.1/gems/ruby-debug-ide-0.4.5/bin/rdebug-ide:6:in `<top (required)>'
from C:/Ruby191/bin/rdebug-ide:19:in `load'
from C:/Ruby191/bin/rdebug-ide:19:in `<main>'

The and ruby-debug-base.rb exist. What's up with that?
Marc Peabody
pie sneak

Joined: Feb 05, 2003
Posts: 4727

Googling gave me results of a few threads like this one that may be helpful:

A good workman is known by his tools.
I agree. Here's the link:
subject: Newbie can't run Ruby in debug, help!
jQuery in Action, 3rd edition